Bug 1298537 - radvd does not respect MinRtrAdvInterval and MaxRtrAdvInterval
radvd does not respect MinRtrAdvInterval and MaxRtrAdvInterval
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: radvd (Show other bugs)
23
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Pavel Šimerda (pavlix)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 06:51 EST by Antonin
Modified: 2016-04-04 04:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-04 04:32:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonin 2016-01-14 06:51:45 EST
Description of problem:

radvd daemon does not respect MinRtrAdvInterval+MaxRtrAdvInterval definition in his config file. It sends unsolicited router advertisement every 1 second.


Version-Release number of selected component (if applicable):

2.11


How reproducible:

I made virtual machine in gnome-boxes with Fedora Workstation.
I created this /etc/radvd.conf:

interface ens3 {
	AdvSendAdvert on;
	MinRtrAdvInterval 30;
	MaxRtrAdvInterval 100;
	prefix 2a00:2222:3333:4444::/64 {
	};
};

As user root I did:

systemctl start radvd
tcpdump -i ens3 -l -nn ip6


Actual results:

19:03:02.189912 IP6 fe80::5054:ff:fe92:b92f > ff02::1: ICMP6, router advertisement, length 56
19:03:03.191428 IP6 fe80::5054:ff:fe92:b92f > ff02::1: ICMP6, router advertisement, length 56
19:03:04.193991 IP6 fe80::5054:ff:fe92:b92f > ff02::1: ICMP6, router advertisement, length 56
19:03:05.196286 IP6 fe80::5054:ff:fe92:b92f > ff02::1: ICMP6, router advertisement, length 56
19:03:06.197749 IP6 fe80::5054:ff:fe92:b92f > ff02::1: ICMP6, router advertisement, length 56
19:03:07.198777 IP6 fe80::5054:ff:fe92:b92f > ff02::1: ICMP6, router advertisement, length 56
19:03:08.201018 IP6 fe80::5054:ff:fe92:b92f > ff02::1: ICMP6, router advertisement, length 56
19:03:09.202420 IP6 fe80::5054:ff:fe92:b92f > ff02::1: ICMP6, router advertisement, length 56
19:03:10.203985 IP6 fe80::5054:ff:fe92:b92f > ff02::1: ICMP6, router advertisement, length 56


Expected results:

Interval between RA should be 30-100 seconds.
Comment 1 Antonin 2016-03-30 04:15:52 EDT
netstat -l46np

raw6   0   0 :::58   :::*   7   1546/radvd          
raw6   0   0 :::58   :::*   7   753/NetworkManager

I notice that radvd and NetworkManager uses same socket.
When I kill NetworkManager, radvd stops to flood with RA every second and works properly.
... but I don't know why NetworkManager listen on that port/socket.
Comment 2 Antonin 2016-04-04 04:32:37 EDT
Reuben Hawkins fixed it.
Repaired version will come in next release of radvd (2.13).

Note You need to log in before you can comment on or make changes to this bug.